Debian Bug report logs - #617315
Don't fail /usr/local directory creation if chown fails

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Don Barry <don@isc.astro.cornell.edu>

Date: Tue, 8 Mar 2011 00:42:01 UTC

Severity: normal

Fixed in version debian-policy/3.9.3.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#617315; Package xml-core. (Tue, 08 Mar 2011 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Barry <don@isc.astro.cornell.edu>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Tue, 08 Mar 2011 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Don Barry <don@isc.astro.cornell.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xml-core: prerm/postinst scripts modify /usr/local in violation of debian policy
Date: Mon, 07 Mar 2011 19:26:01 -0500
Package: xml-core
Version: 0.13
Severity: important

Upgrade to Squeeze on systems with remote RO mounted /usr/local fail at xml-
core upgrade because of prerm/postinst scripts noodling with /usr/local.



-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xml-core depends on:
ii  sed                           4.2.1-7    The GNU sed stream editor
ii  sgml-base                     1.26+nmu1  SGML infrastructure and SGML catal

xml-core recommends no packages.

Versions of packages xml-core suggests:
ii  debhelper                     8.0.0      helper programs for debian/rules

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#617315; Package xml-core. (Tue, 08 Mar 2011 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Tue, 08 Mar 2011 07:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 617315@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 617315@bugs.debian.org, control@bugs.debian.org
Cc: 617315-submitter@bugs.debian.org
Subject: Re: Bug#617315: xml-core: prerm/postinst scripts modify /usr/local in violation of debian policy
Date: Tue, 08 Mar 2011 08:25:36 +0100
reassign 617315 debhelper
severity 617315 serious
retitle 617315 dh_usrlocal: snippets added fail at read-only mounted /usr/local (Debian Policy 9.1.2)
thanks

Am Montag, den 07.03.2011, 19:26 -0500 schrieb Don Barry:

> Upgrade to Squeeze on systems with remote RO mounted /usr/local fail at xml-
> core upgrade because of prerm/postinst scripts noodling with /usr/local.

This looks like a bug in dh_usrlocal then, as this debhelper script is
responsible for the snippets in the prerm and postinst scripts and it
seems the snippets have not been changed yet (so they still contain this
bug). Adjusting severity and reassigning to debhelper.

Regards, Daniel





Bug reassigned from package 'xml-core' to 'debhelper'. Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 08 Mar 2011 07:27:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xml-core/0.13. Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 08 Mar 2011 07:27:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 08 Mar 2011 07:27:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'dh_usrlocal: snippets added fail at read-only mounted /usr/local (Debian Policy 9.1.2)' from 'xml-core: prerm/postinst scripts modify /usr/local in violation of debian policy' Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 08 Mar 2011 07:27:07 GMT) Full text and rfc822 format available.

Message sent on to Don Barry <don@isc.astro.cornell.edu>:
Bug#617315. (Tue, 08 Mar 2011 07:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#617315; Package debhelper. (Tue, 08 Mar 2011 17:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Tue, 08 Mar 2011 17:12:13 GMT) Full text and rfc822 format available.

Message #26 received at 617315@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Don Barry <don@isc.astro.cornell.edu>
Cc: 617315@bugs.debian.org
Subject: Re: xml-core: prerm/postinst scripts modify /usr/local in violation of debian policy
Date: Tue, 8 Mar 2011 13:11:10 -0400
[Message part 1 (text/plain, inline)]
Hi Don. Good to see Debian in use at my alma mater, Cornell.
Now I'm remembering good old Fuertes Observatory. :)

Do you have a copy of the error message from the failed upgrade?

The code in question is a direct copy from Debian policy, in order to
deal with a read-only /usr/local. So if there's a bug, it's in Debian policy,
really.

                if [ ! -e "$dir" ]; then
                        if mkdir "$dir" 2>/dev/null; then
                                chown "$user":"$group" "$dir"
                                chmod "$mode" "$dir"
                        fi
                fi

When /usr/local is read-only, this a) does nothing if the directory 
already exists and b) if the directory doesn't exist, then the mkdir will
fail to create it and nothing else will be done.

The remaining failure case then would be if the directory doesn't exist;
the mkdir to create it succeeds, but then the chown (to root:staff) or
chmod fails.

When could that happen? Well, NFS comes to mind, and you mentioned something
about a /usr/local being a remote mount. Perhaps rather than being a read-only
nfs mount, it's one where mkdir succeeds but the staff group causes a failure
somehow. I don't know.

This would probably not be a technical violation of policy, but it might
be best to guard the chmod and chown in policy's code, anyway.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Fri, 02 Dec 2011 16:15:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#617315; Package debhelper. (Thu, 08 Dec 2011 22:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Thu, 08 Dec 2011 22:03:11 GMT) Full text and rfc822 format available.

Message #33 received at 617315@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: control@bugs.debian.org
Cc: 617315@bugs.debian.org
Subject: policy /usr/local edge case failure
Date: Thu, 8 Dec 2011 18:00:06 -0400
[Message part 1 (text/plain, inline)]
retitle 617315 policy /usr/local edge case failure
reassign 617315 debian-policy
severity 617315 normal
thanks

Policy requires that creation/removal of directories in /usr/local
never fail, but its example does fail as seen in this bug report.
Apparently the problem is that the chown or chmod could fail.

One approach would be to guard them like this:

                if [ ! -e "$dir" ]; then
                        if mkdir "$dir" 2>/dev/null; then
				if chown "$user":"$group" "$dir"; then
	                                chmod "$mode" "$dir" || true
				fi
                        fi
                fi

If the chown fails, the directory is left with the wrong user:group,
but it is either root:root, or some other trusted group, like staff, to
which /usr/local is setgid, so that seems ok. Any member of that group
could mkdir /usr/local/foo themselves and get a similar directory.

I'm unsure whether the chmod should only be run once the chown succeeds, or
always be run. If the chmod is widening the permissions (4775), it seems best
to only do that if the directory has the right owner. If it's narrowing the
permissions (0700), it might be better to always do it.

I'm also unsure whether the error messages should be suppressed.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'policy /usr/local edge case failure' from 'dh_usrlocal: snippets added fail at read-only mounted /usr/local (Debian Policy 9.1.2)' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 22:03:19 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debhelper' to 'debian-policy'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 22:03:20 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 22:03:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#617315; Package debian-policy. (Sat, 24 Dec 2011 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 24 Dec 2011 18:00:03 GMT) Full text and rfc822 format available.

Message #44 received at 617315@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 617315@bugs.debian.org
Subject: Re: Bug#617315: policy /usr/local edge case failure
Date: Sat, 24 Dec 2011 09:56:48 -0800
Joey Hess <joeyh@debian.org> writes:

> Policy requires that creation/removal of directories in /usr/local
> never fail, but its example does fail as seen in this bug report.
> Apparently the problem is that the chown or chmod could fail.

> One approach would be to guard them like this:

>                 if [ ! -e "$dir" ]; then
>                         if mkdir "$dir" 2>/dev/null; then
> 				if chown "$user":"$group" "$dir"; then
> 	                                chmod "$mode" "$dir" || true
> 				fi
>                         fi
>                 fi

> If the chown fails, the directory is left with the wrong user:group,
> but it is either root:root, or some other trusted group, like staff, to
> which /usr/local is setgid, so that seems ok. Any member of that group
> could mkdir /usr/local/foo themselves and get a similar directory.

> I'm unsure whether the chmod should only be run once the chown succeeds,
> or always be run. If the chmod is widening the permissions (4775), it
> seems best to only do that if the directory has the right owner. If it's
> narrowing the permissions (0700), it might be better to always do it.

> I'm also unsure whether the error messages should be suppressed.

Well, the real answer to this bug is that the Technical Committee decided
quite some time back that we should not be using special permissions for
/usr/local any longer, but this is currently stalled waiting for someone
to find the time to do the archive-wide work required to come up with a
transition plan.  (See #538392.)

This seems like an edge case, and one that isn't really aligned with our
long-term direction, so I'm inclined to not worry too much about the
corner-case details and just go with what you have above.  This is a weird
enough case that I don't think the error messages need to be suppressed;
it's probably a good idea to have a quiet mention somewhere that something
strange happened.  Given the unusual circumstances, I don't know that it
matters a great deal whether the chmod runs if the chown fails, but since
we're currently trying to set directories to a fairly permissive mode, I
think it's best to do what you do above.

To me, this is all a non-normative change, since it's in an example, so
I'm going to go ahead and commit the modified version that you describe
above.  The next release of Policy won't be for a little bit, so people
will still have time to raise issues in response to this if they see any
and we can then discuss it again.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending; removed tag(s) moreinfo. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Dec 2011 18:03:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'Don't fail /usr/local directory creation if chown fails' from 'policy /usr/local edge case failure' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Dec 2011 18:03:03 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:18 GMT) Full text and rfc822 format available.

Notification sent to Don Barry <don@isc.astro.cornell.edu>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:18 GMT) Full text and rfc822 format available.

Message #53 received at 617315-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 617315-close@bugs.debian.org
Subject: Bug#617315: fixed in debian-policy 3.9.3.0
Date: Thu, 23 Feb 2012 04:02:13 +0000
Source: debian-policy
Source-Version: 3.9.3.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.3.0.dsc
  to main/d/debian-policy/debian-policy_3.9.3.0.dsc
debian-policy_3.9.3.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.3.0.tar.gz
debian-policy_3.9.3.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617315@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Feb 2012 19:40:36 -0800
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 23712 89038 498300 532120 578421 593533 609162 617315 617516 619275 620870 621479 623050 626338 626408 626779 626796 627490 628540 633797 637614 640735 640737 641071 643690 644230 646119 646166 648387 649674 651020 658209
Changes: 
 debian-policy (3.9.3.0) unstable; urgency=low
 .
   [ Russ Allbery ]
   * Update the copyright format document to the version of DEP-5 from the
     DEP web site and apply additional changes from subsequent discussion
     in debian-devel and debian-project.  Revise for clarity, to add more
     examples, and to update the GFDL license versions.  Thanks, Steve
     Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
     (Closes: #658209, #648387)
   * Publish the copyright format specification as copyright-format-1.0 so
     that later versions can be added without removing previous versions of
     the standard.  Patch from Charles Plessy.  (Closes: #646119)
   * Policy: Improve Architecture field in source package
     Wording: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #626779
   * Policy: Initial Debian maintainers need not be listed in copyright
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #593533
   * Policy: Document cron job file naming restrictions
     Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Dominic Hargreaves <dom@earth.li>
     Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
     Closes: #609162
   * Policy: Document issues with conflicting packages sharing a conffile
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #23712
   * Policy: Add /run FHS exception, clarify rules for /run and /var/run
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Roger Leigh <rleigh@codelibre.net>
     Closes: #620870, #532120
   * Policy: Architecture restrictions in a dependency must be non-empty
     Wording: Stefano Zacchiroli <zack@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Colin Watson <cjwatson@debian.org>
     Closes: #498300
   * MIME Policy: Retire this document and merge it with Policy
     Wording: Ben Finney <ben+debian@benfinney.id.au>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #89038
   * Consistently use "Debian source control file" for *.dsc files and
     "Source package control file" for debian/control files.  Patch from
     Charles Plessy.  (Closes: #626796)
   * Clarify that continuation lines of the Description control field must
     contain at least one non-whitespace character.  Thanks, Guillem Jover.
     (Closes: #627490)
   * Fix the example of creating a /usr/local subdirectory to not fail if
     the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
   * Clarify the requirements for symlinks from inside one top-level
     directory to another and add examples and a rationale.  Thanks,
     Carsten Hey.  (Closes: #626338)
   * Clarify that Perl Policy 2.4 is for packages built from the perl
     source package and the manual page extensions are different for
     separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
   * Say that packages in main may also not recommend packages in non-free,
     bringing the main text in line with the list of fields and in line
     with the long-standing release goal.  (Closes: #646166)
   * Resynchronize the archive section list with ftp-master, adding
     education, introspection, and metapackages.  Patch from Charles
     Plessy.  (Closes: #651020)
   * Clarify that packages in main may not declare Pre-Depends or
     Build-Depends-Indep relationships outside of main either.  Partly
     addresses #587279.
   * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
     Slavko.
   * Add the release date of 3.9.2.0 to upgrading-checklist.
   * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
   * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
     Michael Dorrington.  (Closes: #626408)
   * Add id tags for each version entry in upgrading-checklist so that,
     when eventually published somewhere, other Debian web sites can link
     to specific entries.  Patch from Charles Plessy.
   * Add AGPL-3 to tools/license-count.
   * Update tools/license-count to work with the new Lintian lab layout.
   * Add build-arch and build-indep targets to debian/rules.
 .
   [ Bill Allombert ]
   * Policy: Link relationship fields (7.1) to architecture specification
     strings (11.1).
     Patch from Charles Plessy in #628174.
   * Policy: Retire legacy Motif policy (11.8.8)
     Proposed by: Justin B Rye
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #621479
   * copyright-format: Fix URL for the Eiffel Forum License.
     Reported by Thomas Preud'homme, patch by Charles Plessy.
     Closes: #623050
   * copyright-format: Update SPDX link to point to the SPDX license registry.
     Patch by Charles Plessy.  Closes: #628540
   * copyright-format: Correct or add links to SPDX.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #641071
   * Policy: Clarify that 'machine-extractable' referer the copyright
     files (12.5)
     Wording:  Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #617516
   * copyright-format: remove drivers from abstract and useless appendix
     Wording: Lars Wirzenius <liw@liw.fi>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #640735
   * copyright-format: Fix syntax of examples.
     Proposed by: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #649674
   * copyright-format: Clarify specification of multiple license exception:
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Craig Small <csmall@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Closes: #633797
   * copyright-format: Specify URL on www.debian.org
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: David Prévot <taffit@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #640737
   * Perl policy: Document major version upgrade trigger
     Wording: Dominic Hargreaves <dom@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Niko Tyni <ntyni@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #619275
   * Virtual: change ttf-japanese-{mincho, gothic} to
     fonts-japanese-{mincho, gothic}.
     Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #644230
   * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
     Proposed by: Niels Thykier <niels@thykier.net>
     Seconded: tony mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #578421
   * Policy 9.10: No more recommend to call install-docs for doc-base.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Robert Luberda <robert@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #637614
Checksums-Sha1: 
 f09d426468f56b6049b9125da20653929839ab3d 1518 debian-policy_3.9.3.0.dsc
 ccf8018f8d0bd2e362c9af50622ddd003ea52ac7 692844 debian-policy_3.9.3.0.tar.gz
 ee6c63e2c39db3cb1478ebe4115fc856a455d92b 1926768 debian-policy_3.9.3.0_all.deb
Checksums-Sha256: 
 5466d21ba0c6ede59969da1092d140eb0039e2d0fcc73911db2fcf41d193a80a 1518 debian-policy_3.9.3.0.dsc
 3d04d02064329136765d0e5926aca956d9d55ca171ad12efcbb890cffaad4a73 692844 debian-policy_3.9.3.0.tar.gz
 e456bf496aeb792c90cbbf7a8192c8cb13e5421252779d5f9cb6114a47321c3e 1926768 debian-policy_3.9.3.0_all.deb
Files: 
 d2c6604b9c75c57536ac42b04abb3eba 1518 doc optional debian-policy_3.9.3.0.dsc
 01d3630a3393d484ad765d53aca0f0fc 692844 doc optional debian-policy_3.9.3.0.tar.gz
 88e00d9c8508884a9403ae403332325a 1926768 doc optional debian-policy_3.9.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPRbldAAoJEH2AMVxXNt51FqYH/222GABCa953WNu1SRxP7s7k
HttTjAFekZkxGz+EfjujDteiJg3j6ep0ebOSQXSDm2EoTJY4RtpzmSigTqw0wGC4
+uv4StQTZTK/SJD8BYq3gkrxTy2YvzmVnfh1JIr8xLy3+l7jK7zykIDlg2nwUann
rUk5mY5x0Us8XK7U6TEjyudhPqppinARoolS+bSLBlkpGokOqXILRN2V6S5q1sAN
5I0YfL3coD/b2CEpJnieSMQagsO8H0Vn0n2RgT4T8L2fXuKo2dKCWfFAv3XlwPb0
RwmIz/pl8kqsdf+fJnUGXGqxfpy+TdUAdTlPIYQTaM5dn5E1i3oH8r2hOkEHQYU=
=AEmv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:36:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:48:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.